<div class="card" *ngIf="form.id">

  <form [formGroup]="htmlForm" (ngSubmit)="onSubmitForm()">
    <div class="card-body">

      <div class="row " style="margin-bottom: 10px">
        <ng-container *ngFor="let element of form.elementList;let elementIndex=index">

          <div class="col-6 card p-0"
               style="max-width: 49%!important;
                                margin: 3px!important;">

            <ng-container [ngSwitch]="element.newElementType">
              <div class="card-header">
                <h6>
                  <span *ngIf="element.required===true" style="color: #fc5959;font-size: 10px">*</span>
                  {{ element.questionTitle }}
                </h6>
              </div>
              <div class="card-body-content  p-2 cursor-pointer"
                   [title]="element.guide">
                <!--        TEXT_FIELD-->
                <ng-container *ngSwitchCase="'TEXT_FIELD'">
                  <span style="color: #fc5959;font-size: 10px" *ngIf="!disabledFiled">

                    حداقل
                    {{element.minLength}}
                    کاراکتر و
                    حداکثر
                    {{element.maxLength}}
                    کاراکتر وارد شود.
                  </span>
                  <input type="text" class="form-control"
                         [formControlName]="element.newElementType +'*'+ element.id"
                         [id]="'inputText'+element.id"
                         [placeholder]="element.placeHolder?element.placeHolder:''"
                         [maxLength]="element.maxLength"
                         [minLength]="element.minLength"
                         [pattern]="element.pattern"
                         [dir]="element.dir"
                         [mask]="element.mask"
                         [required]="element.required"
                  >
                  <ng-template [ngTemplateOutlet]="patternErrorTemp"
                               [ngTemplateOutletContext]="{elementId:element.newElementType +'*'+ element.id} ">
                  </ng-template>
                </ng-container>
                <!--        NUMERICAL-->
                <ng-container *ngSwitchCase="newElementType.NUMERICAL">
                  <span style="color: #fc5959;font-size: 10px" *ngIf="!disabledFiled">

                    حداقل
                    {{element.minLength}}
                    و
                    حداکثر
                    {{element.maxLength}}
                    وارد شود.
                  </span>
                  <input type="number" class="form-control"
                         [formControlName]="element.newElementType +'*'+ element.id"
                         [id]="'inputText'+element.id"
                         [placeholder]="element.placeHolder?element.placeHolder:''"
                         [max]="element.maxLength"
                         [min]="element.minLength"
                  >
                </ng-container>
                <!--        TEXT_AREA-->
                <ng-container *ngSwitchCase="newElementType.TEXT_AREA">
                  <span style="color: #fc5959;font-size: 10px" *ngIf="!disabledFiled">

                    حداقل
                    {{element.minLength}}
                    کاراکتر و
                    حداکثر
                    {{element.maxLength}}
                    کاراکتر وارد شود.
                  </span>


                  <textarea class="form-control textarea-class"
                            [formControlName]="element.newElementType +'*'+ element.id"
                            placeholder="{{element.placeHolder?element.placeHolder:''}}"
                            [id]="'inputTextArea'+element.id"
                            [maxLength]="element.maxLength"
                            [minLength]="element.minLength"
                  ></textarea>
                  <ng-template [ngTemplateOutlet]="patternErrorTemp"
                               [ngTemplateOutletContext]="{elementId:element.newElementType +'*'+ element.id} ">
                  </ng-template>

                </ng-container>
                <!--        DATE-->
                <ng-container *ngSwitchCase="newElementType.DATE">
                  <ng-container [ngTemplateOutlet]="DateInputTemp"></ng-container>
                </ng-container>
                <ng-container *ngSwitchCase="newElementType.DATE_RANGE">
                  <ng-container [ngTemplateOutlet]="DateInputTemp"></ng-container>
                </ng-container>
                <ng-template #DateInputTemp>
                  <input type="text" class="form-control"
                         [formControlName]="element.newElementType +'*'+ element.id"
                         [id]="'inputDate'+element.id+form.id"
                         [placeholder]="element.placeHolder?element.placeHolder:''"
                         [maxLength]="element.maxLength"
                         [minLength]="element.minLength"
                  >
                </ng-template>
                <!--        COMBO_BOX-->
                <ng-container *ngSwitchCase="newElementType.COMBO_BOX">

                  <ng-select dir="rtl" [id]="'comboBox'+element.id"
                             [formControlName]="element.newElementType +'*'+ element.id"
                             [placeholder]="element.placeHolder?element.placeHolder:''"
                             style="width: 100%;height: 31px;     background-color: #DCD1CF;"
                             dropdownPosition="bottom">
                    <ng-container *ngFor="let option  of element.newOptionList">
                      <ng-option value="{{option.id}}">{{option.value}}</ng-option>
                    </ng-container>

                  </ng-select>


                </ng-container>
                <!--        CHECK_BOX-->
                <ng-container *ngSwitchCase="newElementType.CHECK_BOX">
                  <span style="color: #fc5959;font-size: 10px" *ngIf="!disabledFiled">

                    حداقل
                    {{element.minItemSelectable}}
                    گزینه و
                    حداکثر
                    {{element.maxItemSelectable}}
                    گزینه انخاب شود.
                  </span>
                  <ng-container *ngFor="let option  of element.newOptionList">
                    <div class="row m-0 ">
                      <div class="d-flex align-items-start">
                        <input type="checkbox"
                               [formControlName]="element.newElementType +'*'+ element.id+'*'+ option.id"
                               [id]="'checkbox'+option.id+ option.id"
                               [placeholder]="element.placeHolder?element.placeHolder:''"
                               [maxLength]="element.maxLength"
                               [minLength]="element.minLength"
                        >
                        <span>&nbsp;&nbsp;{{option.value}}</span>
                      </div>
                    </div>
                  </ng-container>
                </ng-container>
                <!--        RADIO_BUTTON-->
                <ng-container *ngSwitchCase="newElementType.RADIO_BUTTON">
                  <ng-container *ngFor="let option  of element.newOptionList">
                    <label style="width: 100%;cursor: pointer">
                      <div class="row m-0">
                        <div class="d-flex align-items-start">
                          <input type="radio"
                                 [name]="element.newElementType +'*'+ element.id"
                                 [formControlName]="element.newElementType +'*'+ element.id"
                                 [id]="'radio'+option.id"
                                 [value]="option.id"
                                 [placeholder]="element.placeHolder?element.placeHolder:''"
                                 [maxLength]="element.maxLength"
                                 [minLength]="element.minLength"
                          >
                          <span>&nbsp;&nbsp;{{option.value}}</span>
                        </div>
                      </div>
                    </label>
                  </ng-container>
                </ng-container>
                <!--        TIME-->
                <ng-container *ngSwitchCase="newElementType.TIME">

                  <div class="row ">
                    <div class="col-4">
                      <label> دقیقه : </label>
                      <input type="number" min="0" max="59" class="form-control"
                             [formControlName]="element.newElementType +'*'+ element.id+'*'+'min'"
                             [id]="'inputTimeminute'+element.id"
                             [placeholder]="'دقیقه'"
                      >
                    </div>
                    <div class="col-4">
                      <label> ساعت : </label>

                      <input type="number" min="0" max="23" class="form-control"
                             [formControlName]="element.newElementType +'*'+ element.id+'*'+'hour'"
                             [id]="'inputTimeHour'+element.id"
                             [placeholder]="'ساعت'"
                      >
                    </div>


                  </div>
                </ng-container>
              </div>
            </ng-container>
          </div>

        </ng-container>
      </div>


    </div>
    <div class="card-header" *ngIf="!disabledFiled&&!isView">
      <!--        <h3> فرم  {{ form.title }} </h3>-->
      <div class="form-group d-flex justify-content-between">
        <button type="button" (click)="back()" class="btn  btn-warning">
          بازگشت
        </button>

        <button type="submit" class="btn btn-success ml-4">
          ذخیره
          <i class="fa fa-spinner fa-pulse fa-1x" *ngIf="loadingSubmit"></i>
          <i class="fa fa-save"></i>
        </button>
      </div>
    </div>
  </form>
</div>


<ng-template #patternErrorTemp let-elementId='elementId'>
  <div *ngIf="htmlForm.get(elementId).touched && htmlForm.get(elementId).invalid"
       class="w-100 alert alert-danger">
    <div *ngIf="htmlForm.get(elementId).errors['required']">اجباری</div>
    <div *ngIf="htmlForm.get(elementId).invalid&&!htmlForm.get(elementId).errors['required']">مقدار وارد شده صحیح نیست
    </div>
  </div>
</ng-template>
